Subject: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Stéphane Marks <[email-masked]>
Date: Wed, 23 Jul 2025 09:11:06 -0400

On Wed, Jul 23, 2025 at 9:02 AM Alvaro Ramirez <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> > Thanks, but one of my previous comments, viz.:
> >
> >   This should explain better what are the indications of the
> >   problem.
> >
> > is still not addressed.
>
> Updated PROBLEMS in
> 0006-Enabled-macOS-dictation-post-NSTextInputClient-migration.patch.
> Hope that's better now.
>
> >> A tiny bit of additional info with respect to roll back (yields
> >> deprecation warning) vs roll forward fix... macOS seems to use
> >> a
> >> different dictation mechanism after NSTextInputClient was
> >> introduced (Emacs v30). Attaching screenshots showing different
> >> UI
> >> dictation triggered by either patch.
> >
> > Could you please spell out what that means for Emacs users?
>
> Not much really. This is more of a macOS implementation
> detail. Emacs users will get their dictation feature back,
> regressed in Emacs 30. Fixing the regression leads to using a
> newer API, which triggers a slightly different-looking UI.

I think that's a feature of macOS which changed the UI, not a function of
the patch?